+ Antworten
Seite 39 von 39 ErsteErste ... 29373839
Ergebnis 381 bis 385 von 385
  1. #381
    Benutzer
    Registriert seit
    07.05.2012
    Beiträge
    75
    Thanks
    27
    Thanked 9 Times in 6 Posts
    Hello Audioniek ,

    I try to build an OpenPli E2 from the Starter repository , following all steps in readme.md; the build start with some warnings and one red sensitive ERROR.
    here is the result :
    Spoiler: 
    kader@debian-kader:~/SH4_oe$ MACHINE=hs7819 make image
    Building image for hs7819
    WARNING: Layer atemio-layer should set LAYERSERIES_COMPAT_atemio-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer cuberevo-layer should set LAYERSERIES_COMPAT_cuberevo-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer fortis-layer should set LAYERSERIES_COMPAT_fortis-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer fulan-layer should set LAYERSERIES_COMPAT_fulan-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer ipbox-layer should set LAYERSERIES_COMPAT_ipbox-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer kathrein-layer should set LAYERSERIES_COMPAT_kathrein-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer sh4-layer should set LAYERSERIES_COMPAT_sh4-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer sh4_misc-layer should set LAYERSERIES_COMPAT_sh4_misc-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer atemio-layer should set LAYERSERIES_COMPAT_atemio-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer cuberevo-layer should set LAYERSERIES_COMPAT_cuberevo-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer fortis-layer should set LAYERSERIES_COMPAT_fortis-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer fulan-layer should set LAYERSERIES_COMPAT_fulan-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer ipbox-layer should set LAYERSERIES_COMPAT_ipbox-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer kathrein-layer should set LAYERSERIES_COMPAT_kathrein-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer sh4-layer should set LAYERSERIES_COMPAT_sh4-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer sh4_misc-layer should set LAYERSERIES_COMPAT_sh4_misc-layer in its conf/layer.conf file to list the core layer names it is compatible with.

    Loading cache: 100% |################################################# ###############################################| Time: 0:00:00
    Loaded 6 entries from dependency cache.
    ERROR: ExpansionError during parsing /home/kader/SH4_oe/meta-local/recipes-local/images/my-image.bb | ETA: --:--:--
    Traceback (most recent call last):
    File "/home/kader/SH4_oe/bitbake/lib/bb/data_smart.py", line 424, in DataSmart.expandWithRefs(s="${@base_conditional('S ITEINFO_ENDIANNESS', 'le', '--little-endian', '--big-endian', d)}", varname='JFFS2_ENDIANNESS'):
    tb = sys.exc_info()[2]
    > raise ExpansionError(varname, s, exc).with_traceback(tb) from exc

    File "/home/kader/SH4_oe/bitbake/lib/bb/data_smart.py", line 411, in DataSmart.expandWithRefs(s="${@base_conditional('S ITEINFO_ENDIANNESS', 'le', '--little-endian', '--big-endian', d)}", varname='JFFS2_ENDIANNESS'):
    try:
    > s = __expand_python_regexp__.sub(varparse.python_sub, s)
    except SyntaxError as e:
    File "/home/kader/SH4_oe/bitbake/lib/bb/data_smart.py", line 136, in VariableParse.python_sub(match=<_sre.SRE_Match object; span=(0, 87), match="${@base_conditional('SITEINFO_ENDIANNESS', 'le', >):
    self.contains[k].update(parser.contains[k])
    > value = utils.better_eval(codeobj, DataContext(self.d), {'d' : self.d})
    return str(value)
    File "/home/kader/SH4_oe/bitbake/lib/bb/utils.py", line 421, in better_eval(source=<code object <module> at 0x7fcac81c84b0, file "Var <JFFS2_ENDIANNESS>", line 1>, locals={'d': <bb.data_smart.DataSmart object at 0x7fcac84cecc0>}, extraglobals={'d': <bb.data_smart.DataSmart object at 0x7fcac84cecc0>}):
    ctx[g] = extraglobals[g]
    > return eval(source, ctx, locals)

    File "Var <JFFS2_ENDIANNESS>", line 1, in <module>
    bb.data_smart.ExpansionError: Failure expanding variable JFFS2_ENDIANNESS, expression was ${@base_conditional('SITEINFO_ENDIANNESS', 'le', '--little-endian', '--big-endian', d)} which triggered exception NameError: name 'base_conditional' is not defined


    Summary: There were 16 WARNING messages shown.
    Summary: There was 1 ERROR message shown, returning a non-zero exit code.
    Makefile:117 : la recette pour la cible « image » a échouée
    make: *** [image] Erreur 1
    kader@debian-kader:~/SH4_oe$


    Any help please !!

    Regards
    Geändert von kader_73 (01.02.2021 um 14:01 Uhr)
    hs7819 @E2_sh4 ~~ NilSat(7W)_Astra(19.2E)


  2. #382
    Neuer Benutzer
    Registriert seit
    21.10.2012
    Beiträge
    9
    Thanks
    5
    Thanked 0 Times in 0 Posts
    I tried to build Spark7162 and got this message:
    --2021-02-05 10:40:51-- http://effbot.org/media/downloads/el...0050316.tar.gz
    Resolving effbot.org (effbot.org)... 185.199.109.153, 185.199.108.153, 185.199.110.153, ...
    Connecting to effbot.org (effbot.org)|185.199.109.153|:80... connected.
    HTTP request sent, awaiting response... 301 Moved Permanently
    Location: https://effbot.org/media/downloads/e...0050316.tar.gz [following]
    --2021-02-05 10:40:53-- https://effbot.org/media/downloads/e...0050316.tar.gz
    Connecting to effbot.org (effbot.org)|185.199.109.153|:443... connected.
    HTTP request sent, awaiting response... 404 Not Found
    2021-02-05 10:40:53 ERROR 404: Not Found.

    make: *** [make/python.mk:550: /home/clausi/Archive/elementtree-1.2.6-20050316.tar.gz] Fehler 8
    Can You help me ? Thanks !


  3. #383
    Benutzer
    Registriert seit
    07.05.2012
    Beiträge
    75
    Thanks
    27
    Thanked 9 Times in 6 Posts
    @ clausi_e ,

    Try to downlaod the file missed directly from the web , put it in Archive dir. And restrat the buid .

    Regards
    Geändert von kader_73 (06.02.2021 um 12:40 Uhr)
    hs7819 @E2_sh4 ~~ NilSat(7W)_Astra(19.2E)

  4. The Following User Says Thank You to kader_73 For This Useful Post:



  5. #384
    Developer
    Registriert seit
    18.07.2012
    Ort
    Ridderkerk, Niederlande
    Beiträge
    565
    Thanks
    142
    Thanked 633 Times in 261 Posts
    clausi_e: Problem has been fixed.

    kader_73: The Openembedded stuff, of which Starter repository is one, were my attempt to switch to the OE way of building. I learnt a few things:

    • The build takes several hours for one receiver, the buildsystem does the same in twenty minutes on the same machine;
    • The need to learn a new poorly documented language: BitBake;
    • The successful build for one receiver creates over one million (!) files on your hard disk, and a mechanism of cleaning them up is effectively not provided;
    • OE is VERY maintenance intensive;
    • OE changes its syntax in ways that are often not backwards compatible -> see previous point.


    As a result I have abandoned this environment, leaving the gits unmaintained in place.

    The current problems you mention are not easy to fix. There are other OE based build environments on the net, but my in experience they seldom end in a successful build and I consider them a big waste of time. Maybe you have more luck than me, but do not bother with my OE stuff.

    Regards,

    Audioniek.
    Receivers: Rebox: RE-4000, 8000, 9000, 2200, 2210, 2220, 4200, 4210, 4220, 8220, 8500, SAB Unix Triple, Golden Media Spark Triplex, Amiko Alien 3, Sogno Spark Revolution, Edision argus (vip, vip V2 & vip2), Topfield TF7710HDPVR, Kathrein UFS910/912/913, Vizyon revolution 820HD PVR, nBox BKSA/BSLA/BXZB/BZZB, Vitamin HD 5000
    Sats: Astra 1, 2 & 3, Hotbird
    Main activity: building my own E2 images for Fortis receivers

  6. The Following 2 Users Say Thank You to Audioniek For This Useful Post:



  7. #385
    Benutzer
    Registriert seit
    25.11.2012
    Beiträge
    55
    Thanks
    47
    Thanked 16 Times in 12 Posts
    Zitat Zitat von kader_73 Beitrag anzeigen
    Hello Audioniek ,

    I try to build an OpenPli E2 from the Starter repository , following all steps in readme.md; the build start with some warnings and one red sensitive ERROR.
    here is the result :
    Spoiler: 
    kader@debian-kader:~/SH4_oe$ MACHINE=hs7819 make image
    Building image for hs7819
    WARNING: Layer atemio-layer should set LAYERSERIES_COMPAT_atemio-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer cuberevo-layer should set LAYERSERIES_COMPAT_cuberevo-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer fortis-layer should set LAYERSERIES_COMPAT_fortis-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer fulan-layer should set LAYERSERIES_COMPAT_fulan-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer ipbox-layer should set LAYERSERIES_COMPAT_ipbox-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer kathrein-layer should set LAYERSERIES_COMPAT_kathrein-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer sh4-layer should set LAYERSERIES_COMPAT_sh4-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer sh4_misc-layer should set LAYERSERIES_COMPAT_sh4_misc-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer atemio-layer should set LAYERSERIES_COMPAT_atemio-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer cuberevo-layer should set LAYERSERIES_COMPAT_cuberevo-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer fortis-layer should set LAYERSERIES_COMPAT_fortis-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer fulan-layer should set LAYERSERIES_COMPAT_fulan-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer ipbox-layer should set LAYERSERIES_COMPAT_ipbox-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer kathrein-layer should set LAYERSERIES_COMPAT_kathrein-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer sh4-layer should set LAYERSERIES_COMPAT_sh4-layer in its conf/layer.conf file to list the core layer names it is compatible with.
    WARNING: Layer sh4_misc-layer should set LAYERSERIES_COMPAT_sh4_misc-layer in its conf/layer.conf file to list the core layer names it is compatible with.

    Loading cache: 100% |################################################# ###############################################| Time: 0:00:00
    Loaded 6 entries from dependency cache.
    ERROR: ExpansionError during parsing /home/kader/SH4_oe/meta-local/recipes-local/images/my-image.bb | ETA: --:--:--
    Traceback (most recent call last):
    File "/home/kader/SH4_oe/bitbake/lib/bb/data_smart.py", line 424, in DataSmart.expandWithRefs(s="${@base_conditional('S ITEINFO_ENDIANNESS', 'le', '--little-endian', '--big-endian', d)}", varname='JFFS2_ENDIANNESS'):
    tb = sys.exc_info()[2]
    > raise ExpansionError(varname, s, exc).with_traceback(tb) from exc

    File "/home/kader/SH4_oe/bitbake/lib/bb/data_smart.py", line 411, in DataSmart.expandWithRefs(s="${@base_conditional('S ITEINFO_ENDIANNESS', 'le', '--little-endian', '--big-endian', d)}", varname='JFFS2_ENDIANNESS'):
    try:
    > s = __expand_python_regexp__.sub(varparse.python_sub, s)
    except SyntaxError as e:
    File "/home/kader/SH4_oe/bitbake/lib/bb/data_smart.py", line 136, in VariableParse.python_sub(match=<_sre.SRE_Match object; span=(0, 87), match="${@base_conditional('SITEINFO_ENDIANNESS', 'le', >):
    self.contains[k].update(parser.contains[k])
    > value = utils.better_eval(codeobj, DataContext(self.d), {'d' : self.d})
    return str(value)
    File "/home/kader/SH4_oe/bitbake/lib/bb/utils.py", line 421, in better_eval(source=<code object <module> at 0x7fcac81c84b0, file "Var <JFFS2_ENDIANNESS>", line 1>, locals={'d': <bb.data_smart.DataSmart object at 0x7fcac84cecc0>}, extraglobals={'d': <bb.data_smart.DataSmart object at 0x7fcac84cecc0>}):
    ctx[g] = extraglobals[g]
    > return eval(source, ctx, locals)

    File "Var <JFFS2_ENDIANNESS>", line 1, in <module>
    bb.data_smart.ExpansionError: Failure expanding variable JFFS2_ENDIANNESS, expression was ${@base_conditional('SITEINFO_ENDIANNESS', 'le', '--little-endian', '--big-endian', d)} which triggered exception NameError: name 'base_conditional' is not defined


    Summary: There were 16 WARNING messages shown.
    Summary: There was 1 ERROR message shown, returning a non-zero exit code.
    Makefile:117 : la recette pour la cible « image » a échouée
    make: *** [image] Erreur 1
    kader@debian-kader:~/SH4_oe$


    Any help please !!

    Regards

    change line 38 to
    Code:
    JFFS2_ENDIANNESS = "${@oe.utils.conditional('SITEINFO_ENDIANNESS', 'le', '--little-endian', '--big-endian', d)}"

  8. The Following 2 Users Say Thank You to pop1234 For This Useful Post:



Berechtigungen

  • Neue Themen erstellen: Ja
  • Themen beantworten: Ja
  • Anhänge hochladen: Ja
  • Beiträge bearbeiten: Ja
  •